Commit 1fa9f22b authored by Eli Schwartz's avatar Eli Schwartz Committed by Holger Levsen

bin: giant cleanup of trailing whitespace

Signed-off-by: Holger Levsen's avatarHolger Levsen <holger@layer-acht.org>
parent 1b36569b
......@@ -8,4 +8,3 @@ curl https://jenkins.debian.net/jnlpJars/jenkins-cli.jar -o $TMPFILE
java -jar $TMPFILE -s http://localhost:8080/ set-build-result aborted
rm $TMPFILE
exit
......@@ -170,14 +170,14 @@ bootstrap() {
sudo debootstrap $1 $CHROOT_TARGET $MIRROR
set +x
prepare_bootstrap $1
execute_ctmpfile
execute_ctmpfile
}
install_packages() {
echo "Installing extra packages for $1 now."
shift
prepare_install_packages $@
execute_ctmpfile
execute_ctmpfile
}
install_binary_packages() {
......@@ -199,7 +199,7 @@ install_build_depends() {
upgrade2() {
echo "Upgrading to $1 now."
prepare_upgrade2 $1
execute_ctmpfile
execute_ctmpfile
}
trap cleanup_all INT TERM EXIT
......@@ -301,7 +301,7 @@ fi
#
if [ "$DISTRO" = "sid" ] ; then
# ignore multiarch-support because the transition will never be finished…
# ignore
# ignore
# - jadetex because #871021
# - dh-systemd because #871312
# - libpcap-dev because #872265
......@@ -503,4 +503,3 @@ echo "Debug: Removing trap."
trap - INT TERM EXIT
echo "Debug: Cleanup fine"
cleanup_all fine
......@@ -205,4 +205,3 @@ bootstrap
run "$@"
trap - INT TERM EXIT
cleanup
......@@ -104,12 +104,12 @@ if [ "${0:0:5}" != "/tmp/" ] ; then
echo "and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO."
echo
echo "This invocation of this script, which is located in bin/$(basename $0),"
echo "has been called using \"$@\" as arguments."
echo "has been called using \"$@\" as arguments."
echo
echo "Please send feedback about jenkins to qa-jenkins-dev@lists.alioth.debian.org,"
echo "or as a bug against the 'jenkins.debian.org' pseudo-package,"
echo "feedback about specific job results should go to their respective lists and/or the BTS."
echo
echo
echo "===================================================================================="
echo "$(date -u) - start running \"$0\" (md5sum $(md5sum $0|cut -d ' ' -f1)) as \"$TTT\" on $(hostname)."
echo
......
......@@ -77,7 +77,7 @@ for JOB in $(ls -1 ~jenkins/jobs/ | grep ${DI_BUILD_JOB_PATTERN}) ; do
else
echo "Warning: Git repo $REPONAME not found in $URL, but job $JOB exists."
fi
done
done
# cleanup
rm $TMPFILE
echo
......@@ -144,7 +144,7 @@ for DIRECTORY in * ; do
else
for FORMAT in pdf html ; do
# Some languages are unsupported in PDF
if [ $FORMAT = pdf ] &&
if [ $FORMAT = pdf ] &&
expr match "${NON_PDF_LANGS}" ".*\b${DIRECTORY}\b" >/dev/null ; then
continue
fi
......@@ -175,7 +175,7 @@ done
# fail this job if missing d-i jobs are detected
#
echo
if $FAIL ; then
if $FAIL ; then
figlet "Missing jobs!"
echo
echo "Add these job templates to job-cfg/d-i.yaml:"
......
......@@ -177,4 +177,3 @@ else
cleanup_srv
fi
cleanup_workspace
......@@ -117,4 +117,3 @@ case $1 in
exit 1
;;
esac
......@@ -11,12 +11,12 @@
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
#
# Running
# =======
#
#
# Just start `./find_dpkg_trigger_cycles.sh`. It will do the following:
#
#
# 1. download apt sources and apt-file data for the amd64 Debian
# using $1 as distro and store them in a directory tree rooted at
# `./debian-sid-amd64`
......@@ -45,52 +45,52 @@
# each package in the closure:
# 1. check if the package activate the current explicit trigger
# 2. store any hits in the file `result-explicit`
#
#
# Files
# =====
#
#
# interested-file
# ---------------
#
#
# Associates binary packages to file triggers they are interested in. The first
# column is the binary package, the second column is either `interest` or
# `interest-await` and the last column the path they are interested in.
#
#
# interested-explicit
# -------------------
#
#
# Associates binary packages to explicit triggers they are interested in. The
# first column is the binary package, the second column is either `interest` or
# `interest-await` and the last column the name of the explicit trigger they are
# interested in.
#
#
# activated-file
# --------------
#
#
# Associates binary packages to file triggers they activate. The first column is
# the binary package, the second column is either `activate` or `activate-await`
# and the last column the path they activate.
#
#
# activate-explicit
# -----------------
#
#
# Associates binary packages to explicit triggers they activate. The first column
# is the binary package, the second column is either `activate` or
# `activate-await` and the last column the explicit trigger they activate.
#
#
# result-file
# -----------
#
#
# Associates binary packages with other binary packages they can form a file
# trigger cycle with. The first column is the binary package containing the file
# trigger, the second column is the file trigger, the third column is a binary
# package providing a path that triggers the binary package in the first column,
# the fourth column is the triggering path of provided by the binary package in
# the third column.
#
#
# result-explicit
# ---------------
#
#
# Associates binary packages with other binary packages they can form an explicit
# trigger cycle with. The first column is the binary package interested in the
# explicit trigger, the second column is the name of the explicit trigger, the
......
......@@ -5,7 +5,7 @@
#
# run with "bug" as first parameter for interactive mode which will fire up mutt for 10 buggy packages
#
#
#
if [ -z "$1" ] ; then
echo "Call $(basename $0) [bug] NEXT SUITE1 SUITE2 SUITE3"
......@@ -133,19 +133,19 @@ if $MANUAL_MODE ; then
if [ $NR -eq $MAX ] ; then
echo "Filed $MAX bugs, ending."
break
fi
fi
done
echo "Please open those firefox tabs… and press enter"
read a
NR=0
for PKG in $BAD ; do
SRC=$(grep-dctrl -sSource -FPackage -n $PKG --exact-match ${PACKAGES[2]} | cut -d " " -f1)
if [ -z "$SRC" ] ; then
if [ -z "$SRC" ] ; then
SRC=$PKG
fi
VERSION=$(grep-dctrl -sVersion -FPackage -n $PKG --exact-match ${PACKAGES[1]})
VERBOSE=$( ( for SAUCE in ${PACKAGES[0]} ${PACKAGES[1]} ${PACKAGES[2]} ; do
grep-dctrl -sPackage,Description,Version -FPackage $PKG --exact-match $SAUCE
grep-dctrl -sPackage,Description,Version -FPackage $PKG --exact-match $SAUCE
done ) | sort -u)
#firefox https://packages.debian.org/$PKG &
TMPFILE=`mktemp`
......@@ -171,7 +171,7 @@ EOF
if [ $NR -eq $MAX ] ; then
echo "Filed $MAX bugs, ending."
break
fi
fi
done
else
......@@ -179,7 +179,7 @@ else
for PKG in $BAD ; do
echo
( for SAUCE in ${PACKAGES[0]} ${PACKAGES[1]} ${PACKAGES[2]} ; do
grep-dctrl -sPackage,Description,Version -FPackage $PKG --exact-match $SAUCE
grep-dctrl -sPackage,Description,Version -FPackage $PKG --exact-match $SAUCE
done ) | sort -u
done
echo
......
......@@ -1402,4 +1402,3 @@ cleanup_all
# don't cleanup twice
trap - INT TERM EXIT
......@@ -88,6 +88,6 @@ if [ "$RETRIEVE_ARTIFACTS" = "yes" ] ; then
fi
#
# exit with the actual exit code from the target node
# exit with the actual exit code from the target node
#
exit $RETVAL
......@@ -206,4 +206,3 @@ get_node_ssh_port() {
;;
esac
}
......@@ -45,4 +45,3 @@ echo
cleanup_all
trap - INT TERM EXIT
......@@ -45,4 +45,3 @@ Sources.gz: Sources
gzip -n9 < $< > $@.new
mv $@.new $@
chmod 664 $@
......@@ -88,7 +88,7 @@ update_archlinux_repositories() {
irc_message archlinux-reproducible "$MESSAGE"
fi
fi
#
# schedule packages
#
......@@ -157,7 +157,7 @@ update_archlinux_repositories() {
schroot --end-session -c $SESSION
#
# schedule up to $MAX packages in DEPWAIT_ or 404_ states
# schedule up to $MAX packages in DEPWAIT_ or 404_ states
# (which have been tried at least 24h ago)
#
echo "$(date -u ) - should we schedule packages in DEPWAIT_ or 404_ states?"
......
......@@ -48,7 +48,7 @@ update_pkg_in_db() {
DO UPDATE SET version='$BUILD_VERSION', status='$BUILD_STATE', build_date='$DATE', build_duration='$BUILD_DURATION', node1='$NODE1', node2='$NODE2', job='$BUILD_URL' WHERE results.package_id='$SRCPKGID'";
echo "$QUERY"
query_db "$QUERY"
QUERY="INSERT INTO stats_build (name, version, suite, architecture, distribution, status, build_date, build_duration, node1, node2, job)
QUERY="INSERT INTO stats_build (name, version, suite, architecture, distribution, status, build_date, build_duration, node1, node2, job)
VALUES ('$SRCPACKAGE', '$BUILD_VERSION', '$SUITE', '$ARCH', $DISTROID, '$BUILD_STATE', '$DATE', '$BUILD_DURATION', '$NODE1', '$NODE2', '$BUILD_URL');"
echo "$QUERY"
query_db "$QUERY"
......
......@@ -48,4 +48,3 @@ done
ps fax|grep sleep
echo "$(date -u) - slaughtering done."
......@@ -172,7 +172,7 @@ archlinux_page_header(){
<div class="content">
<h1><a href='/archlinux/'>Reproducible Arch Linux</a>?!</h1>
<div class="page-content">
EOF
}
......
......@@ -10,7 +10,7 @@ common_init "$@"
# common code defining db access
. /srv/jenkins/bin/reproducible_common.sh
VIEW=repositories
PAGE=index_${VIEW}.html
SOURCES=$(mktemp --tmpdir=$TEMPDIR repo-comp-XXXXXXXXX)
......@@ -236,4 +236,3 @@ echo "$BINNMUS_NEEDED" > /srv/reproducible-results/binnmus_needed.txt
# cleanup
rm $SOURCES $PACKAGES $TMPFILE
rm $TABLE_TODO $TABLE_DONE
......@@ -41,4 +41,3 @@ rsync_remote_results() {
echo "$(date -u) - Starting to rsync results."
rsync_remote_results
echo "$(date -u) - the end."
......@@ -670,5 +670,3 @@ if ! $DIRTY ; then
fi
echo "$(date -u) - the end."
......@@ -60,9 +60,9 @@ git log -1
# different switches to make two builds from the same source tree
# result in the same build results.
# also see http://man.netbsd.org/HEAD/usr/share/man/html5/mk.conf.html
export MKREPRO="yes"
export MKREPRO="yes"
# MKREPRO_TIMESTAMP is set to SOURCE_DATE_EPOCH of netbsd.git
# see http://cvsweb.netbsd.org/bsdweb.cgi/~checkout~/src/BUILDING
# see http://cvsweb.netbsd.org/bsdweb.cgi/~checkout~/src/BUILDING
SOURCE_DATE_EPOCH=$(git log -1 --pretty=%ct)
MKREPRO_TIMESTAMP=${SOURCE_DATE_EPOCH}
......
......@@ -208,5 +208,3 @@ if ! $DIRTY ; then
fi
echo "$(date -u) - the end."
......@@ -82,4 +82,3 @@ echo
sort -g -r $TMPFILE3
rm $TMPFILE2 $TMPFILE3 >/dev/null
echo
......@@ -111,4 +111,3 @@ fi
while true ; do
main_loop
done
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment